## Getting Started on Windows

**Note:** following commands are written for Powershell.

1.  Create a directory where to download and install all components - in following
    steps we use `%USERPROFILE%/where/you/want/it` but naturally, choice is yours:

        md %USERPROFILE%/where/you/want/it
        md %USERPROFILE%/where/you/want/it

2.  Get suitable GDB. Pre-built binaries for Windows cnd be found
    at [https://swing.fit.cvut.cz/download/gdb][11]:

        wget https://swing.fit.cvut.cz/download/gdb/gdb_x86_64-w64-mingw32__YYYY-MM-DD_XXXXXXXX_NN.zip
        Expand-Archive -Path .\gdb_x86_64-w64-mingw32__YYYY-MM-DD_XXXXXXXX_NN.zip -DestinationPath .\
        rm gdb_x86_64-w64-mingw32__YYYY-MM-DD_XXXXXXXX_NN.zip

    Alternatively, you may want to build suitable GDB from sources, see
    [doc/GDB.md][9] for details.

3.  Get [Smalltalk/X jv-branch][3]. Pre-build "toy" binaries for Windows
    can be found at [https://swing.fit.cvut.cz/download/smalltalkx/devel][5]:

        wget https://swing.fit.cvut.cz/download/smalltalkx/devel/YYYY-MM-DD_NNN/smalltalkx-jv-branch-8.0.99_buildNNN_x86_64-w64-mingw32.zip -Outfile smalltalkx-jv-branch-8.0.99_buildNNN_x86_64-w64-mingw32.zip
        Expand-Archive -Path .\smalltalkx-jv-branch-8.0.99_buildNNN_x86_64-w64-mingw32.zip -DestinationPath .\
        rm smalltalkx-jv-branch-8.0.99_buildNNN_x86_64-w64-mingw32.zip

    Alternatively, you may want to build Smalltalk/X from sources, see
    [build instructions][12]. This is actually preferred way to work with
    Smalltalk/X.

4.  Get *jv:libgdbs*:

        md jv
        hg clone https://swing.fit.cvut.cz/hg/jv-libgdbs jv/libgdbs

5.  Start Smalltalk/X:

        ./smalltalkx-jv-branch-8.0.99_buildNNN_x86_64-pc-linux-gnu/bin/stx --package-path %USERPROFILE%/where/you/want/it

6.  In Smalltalk/X workspace, load `jv:libgdbs` and set path to suitable GDB:

		Smalltalk loadPackage: 'jv:libgdbs'.
        UserPreferences current gdbCommand: '...\where\you\want\it\gdb_x86_64-pc-linux-gnu_YYYY-MM-DD_XXXXXXXX_NN
        \bin\gdb.exe'.

    **Note:** do not forget the `.exe` suffix!

7.  Now you may create an instance of GDB to play with - in Smalltalk/X
    workspace execute:

        gdb := GDBDebugger new.
